Gatana logoGatana Docs
RoutesSkillsSkillid

/skills/{skillId}

Get a skill with its Markdown instructions, also rendered as one SKILL.md document

GET
/skills/{skillId}
AuthorizationBearer <token>

In: header

Path Parameters

skillId*string

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/skills/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "visibility": "organization",
  "collectionId": "string",
  "collectionName": "string",
  "contentBytes": 0,
  "createdByUserId": "string",
  "createdByUserName": "string",
  "createdByUserEmail": "string",
  "sharedWithUserIds": [
    "string"
  ],
  "sharedWithTeamIds": [
    "string"
  ],
  "maintainerUserIds": [
    "string"
  ],
  "maintainerTeamIds": [
    "string"
  ],
  "collectionVisibility": "organization",
  "collectionSharedWithUserIds": [
    "string"
  ],
  "collectionSharedWithTeamIds": [
    "string"
  ],
  "collectionMaintainerUserIds": [
    "string"
  ],
  "collectionMaintainerTeamIds": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string",
  "content": "string",
  "markdown": "string",
  "createdByName": "string"
}